Package weka.gui.beans

# Class GraphViewer

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.GraphViewer

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `BeanContextChild`, `Serializable`, `EventListener`, `Accessible`, `GraphListener`, `UserRequestAcceptor`, `Visible`

public class GraphViewer extends JPanel implements Visible, GraphListener, UserRequestAcceptor, Serializable, BeanContextChild
A bean encapsulating weka.gui.treevisualize.TreeVisualizer

Version:
  $Revision: 14497 $
Author:
  Mark Hall
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphViewer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `acceptGraph(GraphEvent e)`
  Accept a graph
  `void`
  `addVetoableChangeListener(String name, VetoableChangeListener vcl)`
  Add a vetoable change listener to this bean
  `Enumeration<String>`
  `enumerateRequests()`
  Return an enumeration of user requests
  `BeanContext`
  `getBeanContext()`
  Return the bean context (if any) that this bean is embedded in
  `BeanVisual`
  `getVisual()`
  Get the visual appearance of this bean
  `String`
  `globalInfo()`
  Global info for this bean
  `void`
  `performRequest(String request)`
  Perform the named request
  `void`
  `removeVetoableChangeListener(String name, VetoableChangeListener vcl)`
  Remove a vetoable change listener from this bean
  `void`
  `setBeanContext(BeanContext bc)`
  Set a bean context for this bean
  `void`
  `setVisual(BeanVisual newVisual)`
  Set the visual appearance of this bean
  `void`
  `showResults()`
  Popup a result list from which the user can select a graph to view
  `void`
  `useDefaultVisual()`
  Use the default visual appearance

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.beans.beancontext.BeanContextChild

  `addPropertyChangeListener, removePropertyChangeListener`

- ## Constructor Details

  - ### GraphViewer

    public GraphViewer()

- ## Method Details

  - ### globalInfo

    public String globalInfo()
    Global info for this bean
    Returns:
      a `String` value

  - ### setBeanContext

    public void setBeanContext(BeanContext bc)
    Set a bean context for this bean
    Specified by:
      `setBeanContext` in interface `BeanContextChild`
    Parameters:
      `bc` - a `BeanContext` value

  - ### getBeanContext

    public BeanContext getBeanContext()
    Return the bean context (if any) that this bean is embedded in
    Specified by:
      `getBeanContext` in interface `BeanContextChild`
    Returns:
      a `BeanContext` value

  - ### addVetoableChangeListener

    public void addVetoableChangeListener(String name, VetoableChangeListener vcl)
    Add a vetoable change listener to this bean
    Specified by:
      `addVetoableChangeListener` in interface `BeanContextChild`
    Parameters:
      `name` - the name of the property of interest
      `vcl` - a `VetoableChangeListener` value

  - ### removeVetoableChangeListener

    public void removeVetoableChangeListener(String name, VetoableChangeListener vcl)
    Remove a vetoable change listener from this bean
    Specified by:
      `removeVetoableChangeListener` in interface `BeanContextChild`
    Parameters:
      `name` - the name of the property of interest
      `vcl` - a `VetoableChangeListener` value

  - ### acceptGraph

    public void acceptGraph(GraphEvent e)
    Accept a graph
    Specified by:
      `acceptGraph` in interface `GraphListener`
    Parameters:
      `e` - a `GraphEvent` value

  - ### setVisual

    public void setVisual(BeanVisual newVisual)
    Set the visual appearance of this bean
    Specified by:
      `setVisual` in interface `Visible`
    Parameters:
      `newVisual` - a `BeanVisual` value

  - ### getVisual

    public BeanVisual getVisual()
    Get the visual appearance of this bean
    Specified by:
      `getVisual` in interface `Visible`
    Returns:
      a `BeanVisual` value

  - ### useDefaultVisual

    public void useDefaultVisual()
    Use the default visual appearance
    Specified by:
      `useDefaultVisual` in interface `Visible`

  - ### showResults

    public void showResults()
    Popup a result list from which the user can select a graph to view

  - ### enumerateRequests

    public Enumeration<String> enumerateRequests()
    Return an enumeration of user requests
    Specified by:
      `enumerateRequests` in interface `UserRequestAcceptor`
    Returns:
      an `Enumeration` value

  - ### performRequest

    public void performRequest(String request)
    Perform the named request
    Specified by:
      `performRequest` in interface `UserRequestAcceptor`
    Parameters:
      `request` - a `String` value
    Throws:
      `IllegalArgumentException` - if an error occurs